Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# Node Class Reference
[XMLDOM Parser]

Inheritance diagram for Node:

## Detailed Description

Abstract DOM tree node.

## Public Member Functions
bool | hasChildNodes ()
Node * | getFirstChild ()
Node * | getLastChild ()
Node * | getParent ()
Node * | getNextSibling ()
Node * | getPrevSibling ()
const String * | getNodeName ()
virtual const Vector< const String * > * | getAttributes ()
short | getNodeType ()
Document * | getOwnerDocument ()
virtual Node * | appendChild (Node *newChild)
## Static Public Attributes
static const short | COMMENT_NODE = 0
static const short | DOCUMENT_NODE = 1
static const short | ELEMENT_NODE = 2
static const short | PROCESSING_INSTRUCTION_NODE = 3
static const short | TEXT_NODE = 4
## Protected Member Functions
| Node (int _type, const String *_name)
## Protected Attributes
int | type
Node * | next
Node * | prev
Node * | parent
Node * | firstChild
const String * | name
Document * | ownerDocument

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:13 2006 by doxygen 1.4.6.